#include <iostream>

using namespace std;

long long ipow(long long a, int p) {
    long long res = 1;
    while (p--) res *= a;
    return res;
}

int main() {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int T; cin >> T;

    while (T--) {
        int n, k;
        cin >> n >> k;

        for (int a = 1; a <= k; ++a) {
            long long a_n = ipow(a, n);
            long long a_n1 = a_n * a;

            cout << 2 * a_n1 << ' ' << 2 * a_n1 << ' ' << 2 * a_n << '\n';
        }
    }
    return 0;
}
